// ignore_for_file: prefer_const_constructors

import 'package:flutter/material.dart';
import 'package:get/get_navigation/src/root/get_material_app.dart';
import 'package:get_storage/get_storage.dart';
import 'package:goevent_admin/Home_page.dart';
import 'package:goevent_admin/api/Data_save.dart';
import 'package:goevent_admin/login.dart';

void main() async {
  await GetStorage.init();
  runApp(
    BoardingScreen(),
  );
}

// ignore: use_key_in_widget_constructors
class BoardingScreen extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return GetMaterialApp(
        debugShowCheckedModeBanner: false,
        home: getData.read("Firstuser") != true
            ? getData.read("Remember") != true
                ? LoginScreen()
                : ScanPage()
            : null);
  }
}
